<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('guests', function (Blueprint $table) {
            $table->id();
            $table->string('reference')->unique()->index();

            $table->string('title')->nullable();
            $table->string('first_name');
            $table->string('last_name');

            $table->string('email')->nullable()->index();
            $table->string('phone')->nullable()->index();

            $table->string('passport')->nullable();
            $table->string('country')->nullable();

            $table->text('special_requests')->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('guests');
    }
};
